# eric4.QScintilla.Lexers.LexerCSharp

Module implementing a C# lexer with some additional methods.

### Classes

LexerCSharp | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerCSharp

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerCSharp, Lexer

### Methods

LexerCSharp | Constructor
initProperties | Public slot to initialize the properties.

#### LexerCSharp (Constructor)

LexerCSharp(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerCSharp.initProperties

initProperties()

Public slot to initialize the properties.

Up